/*Estilo dos textos do resumo*/
.hist-item{
    visibility: inherit;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    position: relative;
    margin-bottom: 20px;
    gap:0;
}
.hist-item::after {
    content: "";
    position: absolute;
    top: 5px;
    left: -33px;
    height: 6px;
    width: 6px;
    border-radius: 50%;
}
.hist-item:not(:last-child)::before {
    margin-top: 20px;
    content: "";
    position: absolute;
    top: -25px;
    left: -30px;
    width: 1px;
    height: calc(100% + 30px);
}
.title-spot{
    margin-right: 10px;
    margin-left: -14px;
}
.res-title-icon{
    font-size:1.5rem; margin:5px;
}
.item-description{
    font-weight: 300;
}
.item-data{
    margin-top: -15px;
    font-weight: 300;
}

/* Container geral das tags de habilidades */
.stack-container {
    z-index: 5;
    padding: 10px;
    margin: 10px auto;
}

/* Lista de tags tipo "tijolinho" */
.stack-list {
    column-count: 2; /* 2 colunas */
    gap: 5px;
}

/* Título da categoria */
.stack-category-title {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 5px;
    margin-bottom: 10px;
    font-weight: bold;
}
.stack-category-container{
    margin-bottom: 5px;
    padding: 10px;
}

/* Container das barras de progresso */
.progressbar-container {
    column-count: 2; /* 2 colunas */
    column-gap: 10px;
}

.stack-progressbar {
    display: inline-block;
    width: 100%;
    padding: 2px;
    margin-bottom: 10px;
}

/* Barra de progresso em si */
.progress-bar {
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--color-hoverGray);
    font-weight: bold;
}

@media (max-width:767px){
    .stack-list {
        column-count: 1; /* 1 coluna em telas menores */
    }
    .progressbar-container {
        column-count: 1; /* 1 coluna em telas menores */
    }
}